--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: ""
comment: 
- !ruby/struct:SM::Flow::P 
  body: Build a Gem index. Yields to block to handle the details of the actual building. Calls <tt>begin_index</tt>, <tt>end_index</tt> and <tt>cleanup</tt> at appropriate times to customize basic operations.
full_name: Gem::Indexer::AbstractIndexBuilder#build
is_singleton: false
name: build
params: () {|| ...}
visibility: public
